#include "adapters/eft/player/EftPlayerGateway.h"


namespace ta::adapters::eft::player
{
void EftPlayerGateway::game_tick(const ta::features::player::PlayerSettings& settings,
                                 std::optional<ta::features::player::PlayerCommand> command)
{
    auto context = context_.snapshot();
    runtime_service_.update(
        context.game_world_class,
        context.main_player,
        settings,
        command.value_or(ta::features::player::PlayerCommand{}));
}

}
